package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.util.Date;

/**
 * <p>
 * 采购合同-补充信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-15
 */
@TableName("c_purch_contract_supplement_info")
public class CPurchContractSupplementInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同管理Id
     */
    @TableField("c_purch_contract_management_id")
    private Long cPurchContractManagementId;

    /**
     * 补充合同编号
     */
    @TableField("supplement_contract_number")
    private String supplementContractNumber;

    /**
     * 价格规则计算
     */
    @TableField("price_rule_detail")
    private String priceRuleDetail;

    /**
     * 合同生效日
     */
    @TableField("contract_effect_date")
    private Date contractEffectDate;

    /**
     * 是否新增货物 0 不新增 1 新增
     */
    @TableField("add_goods")
    private Integer addGoods;

    /**
     * 其他约定
     */
    @TableField("other_convention")
    private String otherConvention;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    public Long getcPurchContractManagementId() {
        return cPurchContractManagementId;
    }

    public void setcPurchContractManagementId(Long cPurchContractManagementId) {
        this.cPurchContractManagementId = cPurchContractManagementId;
    }

    public String getSupplementContractNumber() {
        return supplementContractNumber;
    }

    public void setSupplementContractNumber(String supplementContractNumber) {
        this.supplementContractNumber = supplementContractNumber;
    }

    public String getPriceRuleDetail() {
        return priceRuleDetail;
    }

    public void setPriceRuleDetail(String priceRuleDetail) {
        this.priceRuleDetail = priceRuleDetail;
    }

    public Date getContractEffectDate() {
        return contractEffectDate;
    }

    public void setContractEffectDate(Date contractEffectDate) {
        this.contractEffectDate = contractEffectDate;
    }

    public Integer getAddGoods() {
        return addGoods;
    }

    public void setAddGoods(Integer addGoods) {
        this.addGoods = addGoods;
    }

    public String getOtherConvention() {
        return otherConvention;
    }

    public void setOtherConvention(String otherConvention) {
        this.otherConvention = otherConvention;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "CPurchContractSupplementInfo{" +
                ", cPurchContractManagementId=" + cPurchContractManagementId +
                ", supplementContractNumber=" + supplementContractNumber +
                ", priceRuleDetail=" + priceRuleDetail +
                ", contractEffectDate=" + contractEffectDate +
                ", addGoods=" + addGoods +
                ", otherConvention=" + otherConvention +
                ", remark=" + remark +
                "}";
    }
}
